python-lasso_2.4.1-1_amd64.deb


Advertisement

Description

python-lasso - Library for Liberty Alliance and SAML protocols - Python bindings

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name python-lasso
Package version 2.4.1
Package release 1
Package architecture amd64
Package type deb
Installed size 822 B
Download size 100.06 KB
Official Mirror ftp.br.debian.org
Lasso is an implementation of Liberty Alliance and related protocols, for
network identity federations, single sign-on and other web services protocols.
The main specifications implemented by the library are ID-FF, ID-WSF and SAML.
This package contains Python bindings for liblasso, needed to use lasso
in Python applications.

Alternatives

Package Version Architecture Repository
python-lasso_2.4.1-1_i386.deb 2.4.1 i386 Debian Main
python-lasso - - -

Requires

Name Value
libc6 >= 2.2.5
libglib2.0-0 >= 2.14.0
liblasso3 >= 2.4.1
libssl1.0.0 >= 1.0.0
libxml2 >= 2.7.4
libxmlsec1 >= 1.2.20
libxmlsec1-openssl >= 1.2.20
libxslt1.1 >= 1.1.25
python << 2.8
python >= 2.7
zlib1g >= 1:1.1.4

Provides

Name Value
liblasso0-python2.3 -
python2.7-lasso -

Conflicts

Name Value
liblasso0-python2.3 -
python2.3-lasso -
python2.4-lasso -

Replaces

Name Value
liblasso0-python2.3 -
python2.3-lasso -
python2.4-lasso -

Download

Type URL
Binary Package python-lasso_2.4.1-1_amd64.deb
Source Package lasso

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-lasso deb package:
    # sudo apt-get install python-lasso

Files

Path
/usr/lib/python2.7/dist-packages/_lasso.so
/usr/lib/python2.7/dist-packages/lasso.py
/usr/share/doc/python-lasso/changelog.Debian.gz
/usr/share/doc/python-lasso/copyright

Changelog

2014-08-28 - Frederic Peters <fpeters@debian.org>
lasso (2.4.1-1) unstable; urgency=medium
* New upstream release.
* d/p/perl-get-required-CFLAGS-from-perl-V-ccflags.patch: merged upstream
* d/p/Use-INSTALLDIRS-vendor-for-the-Perl-bindings-as-per-.patch: refreshed
2014-06-25 - Frederic Peters <fpeters@debian.org>
lasso (2.4.0-4) unstable; urgency=medium
* d/p/Use-INSTALLDIRS-vendor-for-the-Perl-bindings-as-per-.patch: use
INSTALLDIRS=vendor for the Perl bindings, as per the Debian Perl policy.
(thanks Niko Tyni)
* debian/rules, debian/liblasso-perl.install: don't hardcode /usr/lib/perl5
(thanks Niko Tyni, again) (closes: #752703)
2014-04-08 - Frederic Peters <fpeters@debian.org>
lasso (2.4.0-3) unstable; urgency=medium
* d/p/perl-get-required-CFLAGS-from-perl-V-ccflags.patch (stolen from git):
get required CFLAGS from $(perl -V::ccflags:) (closes: #742522)
2014-01-13 - Frederic Peters <fpeters@debian.org>
lasso (2.4.0-2) unstable; urgency=medium
* debian/php5-lasso.prerm: fix call to php5dismod. (closes: #734767)
2014-01-07 - Frederic Peters <fpeters@debian.org>
lasso (2.4.0-1) unstable; urgency=low
* New upstream version.
* debian/control, debian/rules: use autoreconf
* debian/source/version: switch to 3.0 (quilt)
2013-12-29 - Frederic Peters <fpeters@debian.org>
lasso (2.3.6-3) unstable; urgency=medium
* Remove double-free in lasso_node_build_deflated_query. (thanks Andjelko
Horvat, closes: #732543)
* Enable hardened build flags. (thanks Moritz Muehlenhoff, closes: #667555)
* debian/php5-lasso.{postinst,prerm}: use php5enmod and php5dismod.
(closes: #667766)
* bindings/php5/lasso.ini: change comment marker. (closes: #571736)
2013-07-30 - Sebastian Ramacher <sramacher@debian.org>
lasso (2.3.6-2.2) unstable; urgency=low
* Non-maintainer upload.
* Apply commit a5674b48 from upstream to port to the libxml buffer API.
Also adopt changes for the Perl binding. libxml stopped to expose the
internals of xmlOutputBuffer in 2.9. (Closes: #713668)
2013-05-30 - Luca Falavigna <dktrkranz@debian.org>
lasso (2.3.6-2.1) unstable; urgency=low
* Non-maintainer upload.
* Convert to dh_python2 (Closes: #616856).
2012-04-02 - Frederic Peters <fpeters@debian.org>
lasso (2.3.6-2) unstable; urgency=low
* Fix building against glib 2.32 (closes: #665565, #666636)
2012-03-05 - Frederic Peters <fpeters@debian.org>
lasso (2.3.6-1) unstable; urgency=low
* New upstream version.
* bindings/php5/wrapper_source.py: use zend_function_entry, making it build
against PHP 5.4 (upstream, closes: #662622)

See Also

Package Description
python-launchpadlib_1.10.2+ds-2_all.deb Launchpad web services client library
python-lazr.config-doc_2.0.1-1_all.deb ini-file format handling supporting schemas and inheritance
python-lazr.config_2.0.1-1_all.deb ini-file format handling supporting schemas and inheritance
python-lazr.delegates-doc_2.0.1-1_all.deb easily write objects that delegate behavior
python-lazr.delegates_2.0.1-1_all.deb easily write objects that delegate behavior
python-lazr.restfulclient_0.13.3-1_all.deb client for lazr.restful-based web services
python-lazr.smtptest-doc_2.0.2-1_all.deb framework for testing SMTP-based applications and libraries
python-lazr.smtptest_2.0.2-1_all.deb framework for testing SMTP-based applications and libraries
python-lazr.uri_1.0.3-2_all.deb library for parsing, manipulating, and generating URIs
python-lazyarray_0.1.0-1_all.deb Python module providing a NumPy-compatible lazily-evaluated array
python-ldap3_0.9.4.2-1_all.deb Pure Python LDAP client library
python-ldap_2.4.10-1_amd64.deb LDAP interface module for Python
python-ldappool_1.0-1_all.deb connection pool for python-ldap
python-ldaptor_0.0.43+debian1-7_all.deb pure-Python library for LDAP operations
python-ldb-dev_1.1.20-0+deb8u1_amd64.deb LDB Python bindings - development files
Advertisement
Advertisement